/* --- Akkordeons ------------------------------------------------------------------------------------ */
.editor-visual-editor.edit-post-visual-editor
  details.block-editor-block-list__block:has(div[aria-label="Block: wpDataTables"]),
body .block-editor div.editor-visual-editor .block-editor-block-list__layout details,
details {
  /* padding-left: clamp(1rem, 2vw + 1rem, 2.5rem);
  padding-right: clamp(1rem, 1.5vw + 1rem, 2.5rem);
  padding-top: clamp(1rem, 2vw + 1rem, 2.5rem);
  padding-bottom: clamp(1rem, 2vw + 1rem, 2.5rem);
  margin: clamp(1rem, 1vw + 0.75rem, 1.5rem);
  box-shadow: var(--shadow--primary); */
  font-family: var(--font-family--primary);
  font-size: var(--font-size--large);
  font-weight: var(--font-weight--copy);
   background-color: var(--color--primary-3);
  border-radius: var(--border-radius--small);
  /* width: 100%; */
}

.editor-visual-editor.edit-post-visual-editor
  details.block-editor-block-list__block:has(div[aria-label="Block: wpDataTables"]) {
  background-color: var(--color--primary-3) !important;
  border-radius: var(--border-radius--small) !important;
}

.wp-admin details.wp-block-details:has(> .block-list-appender) > .wp-block:nth-last-child(2),
.wp-admin details.wp-block-details:not(:has(> .block-list-appender)) > .wp-block:last-child {
  margin-bottom: 1.25rem;
}

/* details:hover {
  background-color: var(--color--secondary-1);
  transition: all 0.3s linear;
} */

.wp-block-group .wp-block-details .accordion-wrapper > p {
  font-weight: 300;
  /* font-size: var(--font-size--medium); */
  margin-top: clamp(0.75rem, 0.5vw + 0.5rem, 1.25rem);
  margin-bottom: 0;
  margin-right: 10%;
}

body .block-editor div.editor-visual-editor .block-editor-block-list__layout summary,
summary {
  position: relative;
  padding-right: 3.25rem;
  cursor: pointer;
  list-style: none;
}

/* Standard-Marker entfernen */
/* Für WebKit-Browser (Chrome, Safari, etc.) */

body .block-editor div.editor-visual-editor .block-editor-block-list__layout summary::-webkit-details-marker,
summary::-webkit-details-marker {
  display: none;
}
/* Für Browser, die ::marker unterstützen */
body .block-editor div.editor-visual-editor .block-editor-block-list__layout summary::marker,
summary::marker {
  content: "";
}

/* Indivueller Marker rechts definieren */
body .block-editor div.editor-visual-editor .block-editor-block-list__layout summary::after,
summary::after {
  content: "";
  display: block;
  width: clamp(1.25rem, 4vw, 2.25rem);
  aspect-ratio: 1;
  position: absolute;
  right: 2.25rem;
  top: 50%;
  transform: translateY(-50%);
  background-image: url('data:image/svg+xml,<svg width="32" height="16" viewBox="0 0 32 16" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 1.5L16 14.5L31 1.5" stroke="black" stroke-width="2"/></svg>');
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  transition: transform 0.15s ease-in-out;
}

body .block-editor div.editor-visual-editor .block-editor-block-list__layout details,
details {
  overflow: hidden;
  transition: height 0.3s ease-in-out;
}

details[open] {
  /* background-color: var(--color--primary-2); */
}

body .block-editor div.editor-visual-editor .block-editor-block-list__layout details .wp-block-group,
details .wp-block-group {
  padding-top: clamp(1rem, 2vw + 1rem, 2.5rem);
}

/* Für Animation */
body .block-editor div.editor-visual-editor .block-editor-block-list__layout .accordion-wrapper,
.accordion-wrapper {
  overflow: hidden;
  transition: height 0.3s ease-in-out;
  padding: 0 2.25rem 1.875rem 2.25rem;
}

body .block-editor div.editor-visual-editor .block-editor-block-list__layout details summary,
details summary {
  cursor: pointer;
  position: relative;
  list-style: none;
  font-size: var(--font-size--large);
  font-weight: 800;
  padding: 1.875rem 2.25rem;
  padding-right: 5rem;
}
body .block-editor div.editor-visual-editor .block-editor-block-list__layout details summary::marker,
body .block-editor div.editor-visual-editor .block-editor-block-list__layout details summary::-webkit-details-marker,
details summary::marker,
details summary::-webkit-details-marker {
  display: none;
}

/* Optional: Styling für den aktiven Zustand des Summary-Elements */
/* details summary.active {
  font-weight: bold;
} */

/* Falls du den Dreheffekt für ein Icon verwenden möchtest */
body .block-editor div.editor-visual-editor .block-editor-block-list__layout details summary::after,
details summary::after {
  content: "";
  /* Deine Icon-Eigenschaften hier */
  transition: transform 0.3s ease-in-out;
}

body .block-editor div.editor-visual-editor .block-editor-block-list__layout details summary.active::after,
details summary.active::after {
  transform: translateY(-50%) rotate(180deg);
}

body .block-editor div.editor-visual-editor .block-editor-block-list__layout details.is-style-details-variation,
details.is-style-details-variation {
  box-shadow: none;
  padding: 0;
  margin: 0;
  font-family: var(--font-family--primary);
  font-size: var(--font-size--small);
  font-weight: var(--font-weight--copy);
}

.block-editor div.editor-visual-editor .block-editor-block-list__layout details p,
.block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  details
  div[aria-label="Block: wpDataTables"]
  div,
.post-type-post .text-centered .wp-block-group details p {
  margin-left: 2.25rem;
}

body .block-editor div.editor-visual-editor .block-editor-block-list__layout details.is-style-details-variation[open],
details.is-style-details-variation[open] {
  background-color: transparent;
}

body .block-editor div.editor-visual-editor .block-editor-block-list__layout details.is-style-details-variation summary,
details.is-style-details-variation summary {
  display: flex;
  flex-direction: column;
  justify-content: start;
  gap: 1rem;
}

body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  details.is-style-details-variation
  summary::after,
details.is-style-details-variation summary::after {
  background-image: none;
  content: "mehr lesen";
  font-size: var(--font-size--small);
  font-weight: var(--font-weight--copy);
  color: var(--color--primary-1);
  position: unset;
  width: 100%;
  aspect-ratio: unset;
  transform: none;
}

body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  details.is-style-details-variation[open]
  summary::after,
details.is-style-details-variation[open] summary::after {
  content: "weniger lesen";
}

body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  details.is-style-details-variation
  summary.active::after,
details.is-style-details-variation summary.active::after {
  transform: none;
}

body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  details.is-style-details-variation[open]
  .accordion-wrapper,
details.is-style-details-variation[open] .accordion-wrapper {
  position: relative;
  display: block;
  z-index: 1;
  background-color: #f2f2f2;
  padding: 2rem 0;
  /* box-shadow: var(--shadow--primary); */
  /* width: 50%; */
}

body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  details.is-style-details-variation[open]
  .wp-block-group.alignwide.is-vertical.is-layout-flex:has(> details),
.wp-block-group.alignwide.is-vertical.is-layout-flex:has(> details) {
  gap: 1.25rem;
  width: 100%;
}

body.post-type-page .block-editor :not(.page-kennzahlen) details.wp-block-details,
body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  .page-template-default:not(.page-kennzahlen)
  details.wp-block-details,
body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  .single-retrospectives
  details.wp-block-details,
body .block-editor div.editor-visual-editor .block-editor-block-list__layout .single-post details.wp-block-details,
body .block-editor div.editor-visual-editor .block-editor-block-list__layout .post-type-post details.wp-block-details,
.page-template-default:not(.page-kennzahlen) details.wp-block-details,
.single-retrospectives details.wp-block-details,
.single-post details.wp-block-details,
.post-type-post details.wp-block-details {
  /*background-color: unset;*/
  /*border-radius: unset;*/
  /*border-bottom: 1px solid #cecece;*/
  margin-left: 10%;
  /* margin-right: 20%; */
  width: 70%;
}

body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  .page-template-default:not(.page-kennzahlen)
  details.wp-block-details:first-child,
body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  .single-retrospectives
  details.wp-block-details:first-child,
body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  .single-post
  details.wp-block-details:first-child,
.page-template-default:not(.page-kennzahlen) details.wp-block-details:first-child,
.single-retrospectives details.wp-block-details:first-child,
.single-post details.wp-block-details:first-child {
  border-top: 1px solid #cecece;
}

body
  .block-editor
  div.editor-visual-editor
  .block-editor-block-list__layout
  details
  div.accordion-wrapper
  p.is-style-paragraph-footnote,
details div.accordion-wrapper p.is-style-paragraph-footnote {
  border-top: 1px solid #cecece;
  margin-top: 2rem;
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 0;
  padding: 1rem 0.5rem;
  font-size: var(--font-size--x-small);
  line-height: 1.5 !important;
}
details:has(div.wp-block-wpdatatables-wpdatatables-gutenberg-block) {
  background-color: var(--color--primary-3) !important;
}

details:has(div.wp-block-wpdatatables-wpdatatables-gutenberg-block) summary {
  padding-left: 1rem;
  padding-right: 2.5rem;
}

details:has(div.wp-block-wpdatatables-wpdatatables-gutenberg-block) summary::after {
  right: 1rem;
}

.accordion-wrapper:has(div.wp-block-wpdatatables-wpdatatables-gutenberg-block) {
  padding: 0 1rem 1.25rem 1rem;
}

.page-template-default:not(.single-post) details.wp-block-details,
.single-retrospectives details.wp-block-details {
  margin-left: 0;
  width: 100%;
}

@media (max-width: 500px) {
  summary {
    /* hyphens: auto; */
  }

  .page-template-default details.wp-block-details,
  .single-retrospectives details.wp-block-details,
  .single-post details.wp-block-details {
    margin-left: 0;
    width: 100%;
  }

  details summary {
    padding: 1.25rem 0.5rem;
    padding-right: 2rem;
  }

  summary::after {
    right: 0.5rem;
  }

  .accordion-wrapper {
    padding: 0 0.4rem 1.25rem 0.4rem;
  }

  details:has(div.wp-block-wpdatatables-wpdatatables-gutenberg-block) {
    background-color: var(--color--primary-3) !important;
  }

  details:has(div.wp-block-wpdatatables-wpdatatables-gutenberg-block) summary {
    padding-left: 1rem;
    padding-right: 2.5rem;
  }

  details:has(div.wp-block-wpdatatables-wpdatatables-gutenberg-block) summary::after {
    right: 1rem;
  }

  .accordion-wrapper:has(div.wp-block-wpdatatables-wpdatatables-gutenberg-block) {
    padding: 0 1rem 1.25rem 1rem;
  }
}

.accordion-wrapper figure.wp-block-image {
  padding-left: 0 !important;
  /*max-width: 100% !important;*/
  margin: clamp(0.75rem, 0.5vw + 0.5rem, 1.25rem) 0 0 !important;
}

details + details {
  margin-top: clamp(0.75rem, 0.5vw + 0.5rem, 1.25rem) !important;
}